VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::NetworkTypes::Summary Class Reference

The `Network.Summary` class contains commonly used information about a network. More...

List of all members.

## Public Member Functions
| Summary ()
| Creates a default new instance.
string | GetNetwork ()
| Identifier of the network.
void | SetNetwork (string network)
| Identifier of the network.
string | GetName ()
| Name of the network.
void | SetName (string name)
| Name of the network.
vmware.vcenter.NetworkTypes.Type | Get_Type ()
| Type ( STANDARD_PORTGROUP, DISTRIBUTED_PORTGROUP, OPAQUE_NETWORK) of the vCenter Server network.
void | SetType (vmware.vcenter.NetworkTypes.Type type)
| Type ( STANDARD_PORTGROUP, DISTRIBUTED_PORTGROUP, OPAQUE_NETWORK) of the vCenter Server network.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `Network.Summary` class contains commonly used information about a network.

## Constructor & Destructor Documentation

vmware::vcenter::NetworkTypes::Summary::Summary | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::NetworkTypes::Summary::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::NetworkTypes::Summary::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::NetworkTypes::Summary::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::NetworkTypes::Summary::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::NetworkTypes::Summary::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::NetworkTypes::Summary::Equals | ( | object | obj | ) | `[inline]`

vmware.vcenter.NetworkTypes.Type vmware::vcenter::NetworkTypes::Summary::Get_Type | ( |  | ) | `[inline]`

Type ( STANDARD_PORTGROUP, DISTRIBUTED_PORTGROUP, OPAQUE_NETWORK) of the vCenter Server network.

override int vmware::vcenter::NetworkTypes::Summary::GetHashCode | ( |  | ) | `[inline]`

string vmware::vcenter::NetworkTypes::Summary::GetName | ( |  | ) | `[inline]`

Name of the network.

string vmware::vcenter::NetworkTypes::Summary::GetNetwork | ( |  | ) | `[inline]`

Identifier of the network.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `Network` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `Network` .

void vmware::vcenter::NetworkTypes::Summary::SetName | ( | string | name | ) | `[inline]`

Name of the network.

void vmware::vcenter::NetworkTypes::Summary::SetNetwork | ( | string | network | ) | `[inline]`

Identifier of the network.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `Network` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `Network` .

void vmware::vcenter::NetworkTypes::Summary::SetType | ( | vmware.vcenter.NetworkTypes.Type | type | ) | `[inline]`

Type ( STANDARD_PORTGROUP, DISTRIBUTED_PORTGROUP, OPAQUE_NETWORK) of the vCenter Server network.

override string vmware::vcenter::NetworkTypes::Summary::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- NetworkTypes.cs